function framesetsize(w,h) {}
function framesetsize2(w,h) {
    var obj = new Object;
    obj.width = w;
    obj.height = h;
    FB.Canvas.setSize(obj);
}

function resetInputHints(root) {
    if(typeof root == 'undefined' || root.length == 0) {
        root = $('html, body');
    }
    root.find('input[type!="hidden"], textarea').each(function() {
        if($(this).attr('data-hint')) {
            $(this).val($(this).attr('data-hint'));
        }
    });
    root.find('input[type!="hidden"], textarea').one('focusin', function() {       
        if($(this).attr('data-hint')) {
            $(this).val(''); 
        }
    });
}
$(function() {
    resetInputHints();
    setInterval(function() {
        framesetsize2($("#mainwrap").width(), $("#mainwrap").height() + 30);
    }, 500);
});

function fix_canvas() {
    // Try without.
}

function profileUnsub(type, id) {
	$.ajax({ 
		url: 'subscription.php?signed_request=' + window.signed_request + '&action=remove&type='+ type +'&id=' + id,
		complete: function(result) {
			if(result) {
				$('.'+type+id).slideUp(400, function() { 
					$(this).remove();
				});             
			} else {
				// Handle error;
			}
		}
	});
}

function changeThreadSub(id) {
    if($(".subscribe.button a:contains('Unsubscribe')").length > 0) {
        $.ajax({ 
            url: 'subscription.php?signed_request=' + window.signed_request + '&action=remove&type=thread&id=' + id,
            complete: function(result) {
                if(result) {
                    $('.subscribe.button a').text('Subscribe');              
                } else {
                    // Handle error;
                }
            }
        });
    } else {
        $.ajax({ 
            url: 'subscription.php?signed_request=' + window.signed_request + '&action=add&type=thread&id=' + id,
            complete: function(result) {
                if(result) {
                    $('.subscribe.button a').text('Unsubscribe');              
                } else {
                    // Handle error;
                }
            }
        });
    }   
}

function changeForumSub(id) {
    if($(".subscribe.button a:contains('Unsubscribe')").length > 0) {
        $.ajax({ 
            url: 'subscription.php?signed_request=' + window.signed_request + '&action=remove&type=forum&id=' + id,
            complete: function(result) {
                if(result) {
                    $('.subscribe.button a').text('Subscribe');              
                } else {
                    // Handle error;
                }
            }
        });
    } else {
        $.ajax({ 
            url: 'subscription.php?signed_request=' + window.signed_request + '&action=add&type=forum&id=' + id,
            complete: function(result) {
                if(result) {
                    $('.subscribe.button a').text('Unsubscribe');              
                } else {
                    // Handle error;
                }
            }
        });
    }   
}

function searchValidation() {
    var keyword = $('#search-txt').val();

    if(keyword != '' && keyword != $('#search-txt').data('hint')) {
        keyword = keyword.replace(/ /g, '%20');
        $('#loading').show();
        $.ajax({
            url: 'search.php?keywords='+keyword+'&signed_request='+window.signed_request,
            success: function(response) {
                $('#loading').hide();
                var res = JSON.parse(response);
                if(res.response.errormessage == 'search') {
                   top.location.href = window.app_root + 'category_stream.php?category=Search_All_'+res.show.searchid;                 
                } else if(res.response.errorlist[0][0] == 'words_very_common') {
					$('#search').qtip({ 
						content: "Please use less common search terms!",
						position: {
							my: "top middle",
							at: "bottom middle",
							viewport: $(window)
						},
						show: {
							target: $('#header')
						},
						style: {
							classes: 'ui-tooltip-red ui-tooltip-shadow ui-tooltip-rounded'
						},
						hide: false
					});
					var api = $('#search').data('qtip');
					api.show();
					$('#search input').one('keydown', function() {
						$('#search').qtip('destroy');
					});
                } else if(res.response.errorlist[0][0] == 'searchnoresults') {
                    $('#search').qtip({ 
						content: "Search returned no results!",
						position: {
							my: "top middle",
							at: "bottom middle",
							viewport: $(window)
						},
						show: {
							target: $('#header')
						},
						style: {
							classes: 'ui-tooltip-red ui-tooltip-shadow ui-tooltip-rounded'
						},
						hide: false
					});
					var api = $('#search').data('qtip');
					api.show();
					$('#search input').one('keydown', function() {
						$('#search').qtip('destroy');
					});
                } else {
					alert(res.response.errorlist);
				}
            }
        });
        return false;
    } else {
        $('#search').qtip({ 
            content: "Please enter a search query.",
            position: {
                my: "top middle",
                at: "bottom middle",
                viewport: $(window)
            },
            show: {
                target: $('#header')
            },
            style: {
                classes: 'ui-tooltip-red ui-tooltip-shadow ui-tooltip-rounded'
            },
            hide: false
        });
        var api = $('#search').data('qtip');
        api.show();
        $('#search input').one('keydown', function() {
            $('#search').qtip('destroy');
        });
    }
}

function isEnter(e) { 
    key = (document.all) ? e.keyCode : e.which; 
    if(key == 13) {
        return true;
    }
    return false;
}

function showAllCategories(){
    var firstHeight = $('body').height();
    $('div .hide_category').slideToggle('slow');
}
